@import "../../styles/colors.scss";

.office-selector {
  display: flex;
  align-items: center;
  margin-bottom: 8px;
  width: 100%;

  .Dropdown-button {
    cursor: pointer;

    i {
      vertical-align: bottom;
    }
  }

  .dropdown-menu {
    width: 240px;
  }

  .dropdown-menu .dropdown-item {
    a {
      color: $link;
      font-weight: 500;
    }
  }

  .office-info__selector {
    width: 100%;
  }

  .tag {
    background: $light-text;
    color: white;
    height: 16px;
    width: auto;
    padding: 0 6px;
    margin-right: 8px;
    border-radius: 8px;
    font-weight: 700;
  }

  .office-info__legend {
    font-size: 0.875rem;
    font-weight: 500;
    color: $light-text;
  }

  > button {
    margin-left: auto;
  }
}

.office-info {
  margin-bottom: 16px;
  font-size: 1.125rem;
}

.floors {
  position: relative;
  overflow-y: auto;
  margin-bottom: 20px;
  padding: 2px;
}

.SidePanelFloor {
  position: relative;
  transition: all 0.3s ease-in;
}

.SidePanelFloor.not-found {
  opacity: 0.3;
}

.SidePanelFloor .floor-founded {
  position: absolute;
  z-index: 2;
  display: inline-block;
  top: -2px;
  left: -2px;
  background: #e67e22;
  border-radius: 20px;
  color: white;
  min-width: 16px;
  height: 16px;
  font-size: 0.6875rem;
  line-height: 1rem;
  font-weight: 900;
  text-align: center;
}

.floor {
  position: relative;
  display: block;
  border: 1px solid $grey;
  border-radius: 6px;
  padding: 16px;
  margin-bottom: 12px;
  color: $dark-purple;
  min-height: 92px;

  &:hover {
    color: $primary;
  }

  .floor-header {
    font-weight: 100;
    font-size: 1.125rem;
  }

  .floor-actions {
    position: absolute;
    bottom: 8px;
    right: 8px;
  }

  button {
    background: none;
    width: 28px;

    &:hover {
      color: $light-purple;
    }

    i {
      font-size: 20px;
    }
  }
}

.floor--active {
  background: $dark-purple;
  color: white;

  &:hover {
    color: white;
  }

  button {
    color: $disabled-text;
    &:hover {
      color: $disabled-text;
    }
  }
}

.floor-edit {
  box-shadow: 0 0 6px rgba($light-purple, 0.3);
  border: 1px dashed $grey-purple;
  min-height: 112px;

  button {
    width: auto;
    margin-left: 10px;
  }
}

.floor-add {
  border: 1px dashed $disabled-text;
  background: $border;
  color: $light-text;
  border-radius: 6px;
  padding: 12px 16px;
  font-size: 0.875rem;
  cursor: pointer;

  i {
    vertical-align: bottom;
    font-size: 1.5rem;
    margin-right: 4px;
  }

  span {
    font-weight: 500;
  }
}

.MapPanelImage {
  width: auto;
  height: auto;
  position: relative;
}

.workstation {
  position: absolute;

  .assigned-worker-photo {
    position: relative;
    width: 32px;
    height: 32px;
    border-radius: 50%;
    border: 2px solid white;
    box-shadow: 0 0 6px rgba($light-purple, 0.3);
    background: white;
    outline: none;
    user-select: none;
    transition: all 0.3s ease-in;
  }

  &.not-found .assigned-worker-photo,
  &.not-found > button {
    opacity: 0.2;
    transform: scale(0.7);
  }

  &.found .assigned-worker-photo {
    animation: pulse 2s infinite;
    transform: scale(1.2);
    z-index: 3;
  }

  @keyframes pulse {
    0% {
      box-shadow: 0 0 6px 0 rgba($light-purple, 0.3);
    }
    70% {
      box-shadow: 0 0 20px 6px rgba($light-purple, 0.7);
    }
    100% {
      box-shadow: 0 0 6px 0 rgba($light-purple, 0.3);
    }
  }

  > button {
    border-radius: 50px;
    width: 24px;
    height: 24px;
    padding: 3px;
    user-select: none;
    background-color: $link;
    transition: all 0.3s ease-in;

    .material-icons {
      font-size: 16px;
      color: white;
    }
  }
}

.map-panel {
  background-color: $grey;
  border-radius: 6px;
  width: 100%;
  flex: 1;
  position: relative;

  &.loading {
    &:after {
      position: absolute;
      z-index: 6;
      left: 50%;
      top: 50%;
      content: "";
      display: inline-block;
      width: 40px;
      height: 40px;
      transform: translate(-50%, -50%);
      background-color: $primary;
      border-radius: 100%;
      animation: scaleout 1s infinite ease-in-out;
    }
    &:before {
      background: rgba(255, 255, 255, 0.8);
      content: "";
      position: absolute;
      z-index: 5;
      width: 100%;
      height: 100%;
    }
  }
}

.map-panel-display-area {
  padding: 16px;
  text-align: center;
  width: 100%;
  height: 100%;
  position: absolute;
}

.map-panel-image {
  position: relative;
  display: inline-block;
  height: 100%;
}

.map-panel-image .panel-image {
  border-radius: 6px;
  width: auto;
  height: 100%;
  max-width: 100%;
}

.map-new-image {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: $dark-purple;

  p {
    // Alex
    cursor: pointer;
  }

  p:before {
    content: "";
    background: url(../../assets/img/layers.svg) no-repeat center center;
    display: block;
    width: 32px;
    height: 32px;
    margin: 0 auto;
  }
}
